import ListItemMixins from '../list-item';
import InputMixins from '../input';

var InputMixin = {
    mixins: [ListItemMixins, InputMixins],

    props: {
        valuePosition: {
            type: String,
            'default': 'left'
        },
        labelNumber: {
            type: [Number, String],
            'default': 5
        }
    },

    methods: {
        /**
         * input输入
         */
        onInput: function onInput(val) {
            this.$emit('input', val);
        },


        /**
         * 获取焦点
         */
        onFocus: function onFocus(e) {
            this.$emit('focus', e);
        },


        /**
         * 丢失焦点
         */
        onBlur: function onBlur(e) {
            this.$emit('blur', e);
        },


        /**
         * change 事件
         */
        onChange: function onChange() {
            this.$emit('change', this.value);
        },


        /**
         * 整行点击事件
         */
        onClick: function onClick() {
            this.$emit('click');
        },


        /**
         * 右侧图标点击事件
         */
        onRightIconClick: function onRightIconClick() {
            this.$emit('right-icon-click');
        }
    }
};

export default InputMixin;